Subject: Re: [PATCH 5/5] PCI: remove pci_enable_msix

From: Christoph Hellwig <[email-masked]>
Date: Tue, 28 Mar 2017 08:41:48 +0200

On Mon, Mar 27, 2017 at 10:30:46AM -0700, David Daney wrote:
>> Use pci_enable_msix_{exact,range} for now, as I told you before.
>>
>
> That still results in twice as many MSI-X being provisioned than are needed.

How so?  Except for the return value, a pci_enable_msix_exact call with the
same arguments as your previous pci_enable_msix will work exactly the
same.